Summary:   Dependency checking and publish scripts
Name:      rutgers-repotools-2
Version:   1.0.11
Release:   1%{?dist}
License:   GPLv3
Group:     System Environment/Base
URL:       https://github.com/oss/rutgers-repotools-2
Source0:   %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

Requires:  centos-release
Requires:  koji
Requires:  repoutils
Requires:  yum-utils
Requires:  python

Conflicts: rutgers-repotools

%description
This package contains Rutgers tools needed to check the dependencies of new
packages. This also installs a daily cron job which checks for broken
dependencies in the Rutgers tree and sends email to report problems.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
cp -r mash $RPM_BUILD_ROOT%{_sysconfdir}
cp depcheck2.ignore $RPM_BUILD_ROOT%{_sysconfdir}/depcheck2.ignore.sample
cp repotools2-yum.conf $RPM_BUILD_ROOT%{_sysconfdir}/repotools2-yum.conf.sample
cp daily_checks.cfg $RPM_BUILD_ROOT%{_sysconfdir}/daily_checks.cfg.sample
cp rutgers-repotools-2.cfg $RPM_BUILD_ROOT%{_sysconfdir}/rutgers-repotools-2.cfg.sample
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/
cp daily_checks $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/
cp kojira_daily $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp koji-backup $RPM_BUILD_ROOT%{_bindir}
cp depcheck $RPM_BUILD_ROOT%{_bindir}
cp rebuild-repo $RPM_BUILD_ROOT%{_bindir}
cp pullpackage $RPM_BUILD_ROOT%{_bindir}
cp pushpackage $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT/var/lock/rutgers-repotools-2

%clean
rm -rf $RPM_BUILD_ROOT

%post
cat << EOF
You need to create the SSL certificates for your user to do
the dependency checks, in case it was not already created. Refer to
"Adding a User to Koji" for detailed information about the certificate
generation process.

The configuration file /etc/rutgers-repotools-2.cfg will need to be put on NFS
and symlinked to /etc, so that other machines can also use the same .cfg file

More information can be found in the README file and in the OSS wiki.
EOF

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{_bindir}/depcheck
%{_bindir}/koji-backup
%{_bindir}/pullpackage
%{_bindir}/pushpackage
%{_bindir}/rebuild-repo
%config %{_sysconfdir}/cron.daily/daily_checks
%config %{_sysconfdir}/cron.daily/kojira_daily
%config %{_sysconfdir}/daily_checks.cfg.sample
%config(noreplace) %{_sysconfdir}/depcheck2.ignore.sample
%config(noreplace) %{_sysconfdir}/rutgers-repotools-2.cfg.sample
%config(noreplace) %{_sysconfdir}/repotools2-yum.conf.sample
%config(noreplace) %{_sysconfdir}/mash/

%changelog
* Fri Jun 24 2016 Alexander Pavel <anp120@jla.rutgers.edu> - 1.0.11-1.ru6
- Version bump

* Thu Jun 23 2016 Alexander Pavel <anp120@jla.rutgers.edu> - 1.0.10-1.ru6
- Version bump

* Thu Jun 23 2016 Alexander Pavel <anp120@jla.rutgers.edu> - 1.0.9-1.ru6
- Version bump

* Thu Jun 23 2016 Alexander Pavel <anp120@jla.rutgers.edu> - 1.0.8-1.ru6
- Version bump

* Thu Jun 23 2016 Alexander Pavel <anp120@jla.rutgers.edu> - 1.0.7-1.ru6
- Version bump

* Thu Jun 23 2016 Alexander Pavel <anp120@jla.rutgers.edu> - 1.0.6-1.ru6
- Version bump

* Thu Jun 23 2016 Alexander Pavel <anp120@jla.rutgers.edu> - 1.0.5-1.ru6
- Version bump

* Wed Jun 22 2016 Alexander Pavel <anp120@jla.rutgers.edu> - 1.0.4-1.ru6
- Version bump

* Wed Jun 22 2016 Alexander Pavel <anp120@jla.rutgers.edu> - 1.0.3-1.ru6
- Version bump

* Wed Jun 22 2016 Alexander Pavel <anp120@jla.rutgers.edu> - 1.0.2-1.ru6
- Version bump

* Wed Jun 22 2016 Alexander Pavel <anp120@jla.rutgers.edu> - 1.0.1-2.ru6
- Add rutgers-repotools as conflicting package

* Wed Jun 22 2016 Alexander Pavel <anp120@jla.rutgers.edu> - 1.0.1-1.ru6
- Initial release of rutgers-repotools-2
